#!BuildIgnore:	post-build-checks
# needsrootforbuild
# rootforbuild

%define qdir  		/var/qmail
%define VPOP_HOME	/var/vpopmail
# vpopmail group
%define VPOPGID 89

# vpopmail user
%define VPOPUID 89

%if 0%{?suse_version}
%define		_apachewww	/srv/www/htdocs
%define		_apachecgi	/srv/www/cgi-bin
%endif

%if 0%{?fedora_version} || 0%{?centos_version} || 0%{?rhel_version}
%define		_apachewww	/var/www/html
%define		_apachecgi	/var/www/cgi-bin
%endif
Name:		vqadmin
Version:	2.3.6
Release:	21.30
Summary:	Virtual QMail Admin

Group:		Applications/Productivity
License:	GPL
URL:		http://www.inter7.com/?page=vqadmin
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}.conf
Source2:	%{name}-rpmlintrc
Patch0:		%{name}-2.patch
Patch1:		%{name}-%{version}-valias.patch
Patch2:		%{name}-wwwroot.patch
Patch3:		%{name}-%{version}-makefile.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	netqmail autorespond vpopmail apache2 mysql
BuildRequires:	netqmail autorespond vpopmail apache2 mysql-devel ezmlm-idx-mysql ezmlm-idx qmail_prepare_build >= 0.2

%description
VQadmin is a web based control panel that allows system administrators to perform actions which require
root access — for example, adding and deleting domains.
The cgi is authenticated using Apache style htpasswd files. A user based ACL provides control over
what actions can be performed, such as adding/deleting a domain or accessing user email account information
to allow modification of user passwords and quotas.
Account service restrictions include enabling or disabling of pop access,
authentication based smtp relay control, courier-imap access and sqwebmail access. 

VQadmin and qmailadmin work together. While qmailadmin can be used to allow users to administer their own domains,
they are unable to create new domains. Creation or deletion of domains is normally associated with the
owner/admins of the machine. vqadmin is a root level tool for owner/admins or their technical support staff.

%prep
%setup
##autoreconf -fi
%patch0
%patch1 -p1
%if 0%{?suse_version}
%patch2
%endif
%patch3
./configure \
  --build=i386-pc-linux \
  --prefix=%{_prefix} \
  --mandir=%{_datadir}/man \
  --enable-qmaildir=%{qdir} \
  --enable-vpopuser=vpopmail \
  --enable-vpopgroup=vchkpw \
  --enable-cgibindir=%{_apachecgi} \
  --enable-mysql=y

%build
%__make %{?_smp_mflags}

%install
%__make DESTDIR=$RPM_BUILD_ROOT install
rm -f %{buildroot}%{_apachecgi}/vqadmin/.htaccess
install -D -m644 %{S:1} %{buildroot}%{_sysconfdir}/apache2/conf.d/vqadmin.conf

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/apache2/conf.d/vqadmin.conf
%defattr(-,vpopmail,vchkpw)
%{_bindir}/%{name}
%dir %{_apachecgi}/vqadmin
%dir %{_apachecgi}/vqadmin/html
%dir %{_apachewww}/images
%dir %{_apachewww}/images/vqadmin
%{_apachecgi}/vqadmin/html/add_alias_domain.html
%{_apachecgi}/vqadmin/html/add_domain.html
%{_apachecgi}/vqadmin/html/add_domain_body.html
%{_apachecgi}/vqadmin/html/add_domain_foot.html
%{_apachecgi}/vqadmin/html/add_domain_head.html
%{_apachecgi}/vqadmin/html/add_user.html
%{_apachecgi}/vqadmin/html/auth_failed.html
%{_apachecgi}/vqadmin/html/br
%{_apachecgi}/vqadmin/html/control.html
%{_apachecgi}/vqadmin/html/ctrl_file.html
%{_apachecgi}/vqadmin/html/de
%{_apachecgi}/vqadmin/html/del_domain.html
%{_apachecgi}/vqadmin/html/del_user.html
%{_apachecgi}/vqadmin/html/en
%{_apachecgi}/vqadmin/html/en-us
%{_apachecgi}/vqadmin/html/error.html
%{_apachecgi}/vqadmin/html/fi
%{_apachecgi}/vqadmin/html/fr
%{_apachecgi}/vqadmin/html/hu
%{_apachecgi}/vqadmin/html/info_user.html
%{_apachecgi}/vqadmin/html/init_error.html
%{_apachecgi}/vqadmin/html/it
%{_apachecgi}/vqadmin/html/ja
%{_apachecgi}/vqadmin/html/main.html
%{_apachecgi}/vqadmin/html/mod_domain.html
%{_apachecgi}/vqadmin/html/mod_user.html
%{_apachecgi}/vqadmin/html/my_main.html
%{_apachecgi}/vqadmin/html/nl
%{_apachecgi}/vqadmin/html/pl
%{_apachecgi}/vqadmin/html/qmail_controls_bottom.html
%{_apachecgi}/vqadmin/html/qmail_controls_middle.html
%{_apachecgi}/vqadmin/html/qmail_controls_top.html
%{_apachecgi}/vqadmin/html/show_domains.html
%{_apachecgi}/vqadmin/html/show_users.html
%{_apachecgi}/vqadmin/html/view_domain.html
%{_apachecgi}/vqadmin/html/view_user.html
%{_apachecgi}/vqadmin/vqadmin.acl
%attr(4755,vpopmail,vchkpw) %{_apachecgi}/vqadmin/vqadmin.cgi
%{_apachewww}/images/vqadmin/vqadmin.css

%changelog
* Sun Feb 28 2010 Carsten Schoene <cs@linux-administrator.com> - 2.3.6-1
- initial build
